CGAL 6.1.2 - 2D Arrangements: Drawing

CGAL 6.1.2 - 2D Arrangements

Loading...
Searching...
No Matches
Functions
Drawing
Reference Manual

##

`#include<CGAL/draw_arrangement_2.h>`

## Functions
template<typename GeometryTraits_2 , typename Dcel , typename GSOptions >
void | CGAL::draw (const Arrangement_2< GeometryTraits_2, Dcel > &arr, const GSOptions &gso)
| The function opens a new window and draws `arr`, an instance of the `CGAL::Arrangement_2` class template.
template<typename GeometryTraits_2 , typename Dcel >
void | CGAL::draw (const Arrangement_2< GeometryTraits_2, Dcel > &arr)
| A shortcut to `CGAL::draw(arr, Graphics_scene_options{})`.
template<typename GeometryTraits_2 , typename Dcel , typename GSOptions >
void | CGAL::add_to_graphics_scene (const Arrangement_2< GeometryTraits_2, Dcel > &arr, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `arr` into the given graphic scene `gs`.
template<typename GeometryTraits_2 , typename Dcel >
void | CGAL::add_to_graphics_scene (const Arrangement_2< GeometryTraits_2, Dcel > &arr, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(arr, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<typename GeometryTraits_2 , typename Dcel , typename GSOptions >

void CGAL::add_to_graphics_scene | ( | const Arrangement_2< GeometryTraits_2, Dcel > & | arr,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_arrangement_2.h>`

adds the vertices, edges and faces of `arr` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  GeometryTraits_2 | a geometry traits type, a model of a 2D arrangement traits concept. At this point it must be an instance of either `CGAL::Arr_segment_traits_2` or `CGAL::Arr_conic_traits_2`.
  Dcel | the DCEL type, a model of the `AosDcel` concept.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  arr | the 2D arrangement to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

## ◆ draw()

template<typename GeometryTraits_2 , typename Dcel , typename GSOptions >

void CGAL::draw | ( | const Arrangement_2< GeometryTraits_2, Dcel > & | arr,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_arrangement_2.h>`

The function opens a new window and draws `arr`, an instance of the `CGAL::Arrangement_2` class template.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  GeometryTraits_2 | a geometry traits type, a model of a 2D arrangement traits concept. At this point it must be an instance of either `CGAL::Arr_segment_traits_2` or `CGAL::Arr_conic_traits_2`.
  Dcel | the DCEL type, a model of the `AosDcel` concept.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  arr | the 2D arrangement to draw.
  gso | the graphics scene options parameter.

See also
  `AosDcel`
  `AosTraits_2`